Skip to main content
POST
/
v1
/
dnc_numbers
/
create
Add a phone number to DNC list
curl --request POST \
  --url https://api.fluents.ai/v1/dnc_numbers/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phoneNumber": "+1234567890",
  "userId": "550e8400-e29b-41d4-a716-446655440000",
  "reason": "Customer requested to be removed from calling list"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "phoneNumber": "+1234567890",
  "createdAt": "2023-01-01T00:00:00Z",
  "updatedAt": "2023-01-01T00:00:00Z",
  "userId": "550e8400-e29b-41d4-a716-446655440000",
  "reason": "Customer requested to be removed from calling list"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
phoneNumber
string
required
Example:

"+1234567890"

userId
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

reason
string
Example:

"Customer requested to be removed from calling list"

Response

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

phoneNumber
string
required
Example:

"+1234567890"

createdAt
string
required
Example:

"2023-01-01T00:00:00Z"

updatedAt
string
required
Example:

"2023-01-01T00:00:00Z"

userId
string | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

reason
string | null
Example:

"Customer requested to be removed from calling list"